Class UmlBaseActivityPin

Declaration :

- C++ : class UmlBaseActivityPin : public UmlPinParameter
- Java : abstract class UmlBaseActivityPin extends UmlPinParameter

Directly inherited by : UmlActivityPin

Artifact : UmlBaseActivityPin

Operation create

returns a new activity action pin named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlActivityAction, inout s : str) : UmlActivityPin, exceptions : RuntimeException
- C++ : public: static UmlActivityPin * create(UmlActivityAction * parent, const char * s)
- Java : public static UmlActivityPin create(UmlActivityAction parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseActivityPin

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseActivityPin(in id : item_id, in s : string) :
- C++ : protected: UmlBaseActivityPin(void * id, const QCString & s) : UmlPinParameter(id, s)
- Java : protected UmlBaseActivityPin(long id, String s)

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , cppSelection , create , create , defined_ , deleteIt , description , direction , effect , getIdentifier , identifier_ , inState , isControlType , isException , isMarked , isStream , isToolRunning , isUnique , isWritable , javaSelection , kind , kind , kind , markedItems , moveAfter , multiplicity , name , ordering , parent , properties , propertyValue , referencedBy , selection , set_AssociatedDiagram , set_childrenVisible , set_CppSelection , set_Description , set_Direction , set_Effect , set_InState , set_IsControlType , set_IsException , set_isMarked , set_IsStream , set_IsUnique , set_JavaSelection , set_Multiplicity , set_Name , set_Ordering , set_PropertyValue , set_Selection , set_Stereotype , set_Type , stereotype , supportFile , type , unload , unload